Tryton - Issues

 

Issue3211

Title Roadmap for Python 3
Priority feature Status in-progress
Superseder 2to3 convert assert_ of lxml.etree.RelaxNG, Add support to GTK+ 3.0, Allow to use easily unicode_literals, Better Binary support, Make config.py Python3 compatible, Missing __ne__ on proteus, Parsing non-ascii XML file fails on Python3, Python3 cross-type comparison breaks sql query, Remove safe_eval, Replace pywebdav by wsgidav, Separate webdav into a separate module, Unittest should be really unit, Use ldap3 instead of python-ldap, convert tries to decode Python3 str
View: 5314, 5387, 4294, 4637, 4662, 5347, 5313, 5358, 4416, 5262, 4703, 5263, 5324, 5355
Nosy List JonLevy, ced, encukou, nicoe, ohuisman, oscar, perilla, pokoli, resteve, roundup-bot, tshepang, yangoon
Type feature request Components
Assigned To ced Keywords review
Reviews 19951002, 7311002, 24761002, 24771002, 19001002, 22781002, 17831002, 19011002, 19881002, 23801002, 23811002, 23821002, 20731002, 22811002, 22821002, 23841002, 19911002, 20751002, 19021002, 21721002, 20761002, 24821003, 20771002, 19021003, 24831002, 24841002, 24831003, 19941002, 17851002, 17861002, 24851003, 19961002, 23871002, 24861002, 20811002, 21741002, 19031002, 23881002, 24871002, 23891002, 21751003, 16031002, 23891003, 21761002, 21791002, 20841002, 23961002, 23951002, 19051002, 16041002, 19071002, 19061003, 20001002, 23971002, 24891002, 17121003, 22851002, 17911003, 17911002, 17921002, 19081003, 23981002, 21811002, 16061002, 20021002, 22861002, 20031002, 24921002, 17131003, 25151002
View: 19951002, 7311002, 24761002, 24771002, 19001002, 22781002, 17831002, 19011002, 19881002, 23801002, 23811002, 23821002, 20731002, 22811002, 22821002, 23841002, 19911002, 20751002, 19021002, 21721002, 20761002, 24821003, 20771002, 19021003, 24831002, 24841002, 24831003, 19941002, 17851002, 17861002, 24851003, 19961002, 23871002, 24861002, 20811002, 21741002, 19031002, 23881002, 24871002, 23891002, 21751003, 16031002, 23891003, 21761002, 21791002, 20841002, 23961002, 23951002, 19051002, 16041002, 19071002, 19061003, 20001002, 23971002, 24891002, 17121003, 22851002, 17911003, 17911002, 17921002, 19081003, 23981002, 21811002, 16061002, 20021002, 22861002, 20031002, 24921002, 17131003, 25151002

Created on 2013-05-09.14:16:17 by yangoon, last changed by ced.

Files
File name Uploaded Type Edit Remove
next_modules.py JonLevy, 2016-02-25.23:39:44 text/plain
patch ced, 2016-02-14.14:31:37 text/plain
Messages
msg40543 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-07.16:42:08
Next release will be Python3 only.
So we need to check that 2to3 works on tryton.
Then launch 2to3 on all source code, check if some modification can not be improved and remove Python2 support.
msg33993 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-06-09.15:04:08
No, there is still tryton to migrate to python3.
msg33986 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-06-09.12:14:30
I think there is nothing else pending, so we can mark it as resolved
msg27467 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-07-31.23:48:34
Any way, I still think the best is to switch to a WSGI implementation like suggested in issue5262 (not necessary wsgidav, it could be our custom tailored implementation).
msg27466 (view) Author: [hidden] (encukou) Date: 2016-07-31.23:41:22
Hello,
The PyWebDAV project on Google Code is has gone away, but it was resurrected as PyWebDAV3:
- https://github.com/andrewleech/PyWebDAV3
- https://pypi.python.org/pypi/PyWebDAV3

That version was ported to Python 3, and my experience is that the author is actively merging contributions.
msg26104 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2016-06-03.19:29:02
Setting it back to deferred for the remaining issues.
New changeset 1bb7086e6a2a by Nicolas ?vrard in branch 'default':
Add python3 support
http://hg.tryton.org/modules/ldap_authentication/rev/1bb7086e6a2a
msg26100 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2016-06-03.17:16:01
Here is the review for ldap_authentication: review25151002
msg24871 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-11.22:48:22
All possibles modules have been migrated.
So I set it as deferred until linked issues are solved.
New changeset d20c96d484b9 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/timesheet_cost/rev/d20c96d484b9
New changeset 0a6bb5473e3c by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/timesheet/rev/0a6bb5473e3c
New changeset 5cf9924ab7f6 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_supply_production/rev/5cf9924ab7f6
New changeset 3bff15465785 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_supply_forecast/rev/3bff15465785
New changeset 2e4413db7b87 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_supply_day/rev/2e4413db7b87
New changeset d703de75d7d7 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_supply/rev/d703de75d7d7
New changeset 4a531904a760 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_split/rev/4a531904a760
New changeset 5a6e106c2d18 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_product_location/rev/5a6e106c2d18
New changeset 91b340120158 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_package/rev/91b340120158
New changeset 4d6783098d0c by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_lot_sled/rev/4d6783098d0c
New changeset 9bf0a676e80c by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_lot/rev/9bf0a676e80c
New changeset 25f0da538b14 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_location_sequence/rev/25f0da538b14
New changeset dccb31aa2601 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_inventory_location/rev/dccb31aa2601
New changeset 059e8f457522 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock_forecast/rev/059e8f457522
New changeset c4a14254e956 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/stock/rev/c4a14254e956
New changeset ce9dd29d5a7e by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_supply_drop_shipment/rev/ce9dd29d5a7e
New changeset 321fa346b4f5 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_supply/rev/321fa346b4f5
New changeset 297c72a20399 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_stock_quantity/rev/297c72a20399
New changeset 3d3fa4ea5d0a by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_shipment_grouping/rev/3d3fa4ea5d0a
New changeset c6b8ed26f035 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_shipment_cost/rev/c6b8ed26f035
New changeset f2a56c756e27 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_promotion/rev/f2a56c756e27
New changeset a34e318b251b by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_price_list/rev/a34e318b251b
New changeset 2e40e6bf1ea5 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_opportunity/rev/2e40e6bf1ea5
New changeset c133a799e4bb by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_invoice_grouping/rev/c133a799e4bb
New changeset 0226d62caf08 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_extra/rev/0226d62caf08
New changeset ddb79e5664bc by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_credit_limit/rev/ddb79e5664bc
New changeset 56ba56644614 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale_complaint/rev/56ba56644614
New changeset 7dad02e1248b by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/sale/rev/7dad02e1248b
New changeset 5d779c5fdeca by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/purchase_shipment_cost/rev/5d779c5fdeca
New changeset 9591866ba3ff by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/purchase_invoice_line_standalone/rev/9591866ba3ff
New changeset 0014a67f1ac8 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/purchase/rev/0014a67f1ac8
New changeset 376f09f40757 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/project_revenue/rev/376f09f40757
New changeset 2c2e267e2b71 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/project_plan/rev/2c2e267e2b71
New changeset a334ed6f0a2c by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/project_invoice/rev/a334ed6f0a2c
New changeset c632a1f03e2b by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/project/rev/c632a1f03e2b
New changeset 7c48682c214f by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/production/rev/7c48682c214f
New changeset cd7f5f8e9862 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/product_price_list/rev/cd7f5f8e9862
New changeset 087168c7352f by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/product_measurements/rev/087168c7352f
New changeset 4289436caace by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/product_cost_history/rev/4289436caace
New changeset 1ebdd603c93d by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/product_cost_fifo/rev/1ebdd603c93d
New changeset 44dc799f7eec by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/product_attribute/rev/44dc799f7eec
New changeset 129395834c7b by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/product/rev/129395834c7b
New changeset 4843258db7b2 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/party_siret/rev/4843258db7b2
New changeset 0f663f97d399 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/party_relationship/rev/0f663f97d399
New changeset f1c8974e9ec0 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/party/rev/f1c8974e9ec0
New changeset 3ede6e0b4ab1 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/google_maps/rev/3ede6e0b4ab1
New changeset 76673309c9ea by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/dashboard/rev/76673309c9ea
New changeset 258854d9b183 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/customs/rev/258854d9b183
New changeset 6a8284b595e2 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/currency/rev/6a8284b595e2
New changeset a5d78b23b5ac by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/country/rev/a5d78b23b5ac
New changeset ed8b8bcaf618 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/company_work_time/rev/ed8b8bcaf618
New changeset ec50dd94334f by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/company/rev/ec50dd94334f
New changeset 3d830020543f by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/commission_waiting/rev/3d830020543f
New changeset dfc3eda61b5f by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/commission/rev/dfc3eda61b5f
New changeset 4035bc9bdfa0 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/carrier_percentage/rev/4035bc9bdfa0
New changeset 93f452e1f89c by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/carrier/rev/93f452e1f89c
New changeset 55508136634a by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/bank/rev/55508136634a
New changeset 5dec0bfc7040 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/analytic_sale/rev/5dec0bfc7040
New changeset 938d73ec6fea by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/analytic_purchase/rev/938d73ec6fea
New changeset d4930165f6da by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/analytic_invoice/rev/d4930165f6da
New changeset e2df67ae1b74 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/analytic_account/rev/e2df67ae1b74
New changeset 8ae3c32f0e23 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_tax_rule_country/rev/8ae3c32f0e23
New changeset 6aa2bd7d3746 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_stock_landed_cost_weight/rev/6aa2bd7d3746
New changeset ebb2b31df752 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_stock_landed_cost/rev/ebb2b31df752
New changeset 7aaa1178649a by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_stock_continental/rev/7aaa1178649a
New changeset 8f5a695042e9 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_stock_anglo_saxon/rev/8f5a695042e9
New changeset 0b70c38e5035 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_statement/rev/0b70c38e5035
New changeset dd7b79d89725 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_product/rev/dd7b79d89725
New changeset 20deac43927b by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_payment_sepa_cfonb/rev/20deac43927b
New changeset 3ed40b579bf4 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_payment_sepa/rev/3ed40b579bf4
New changeset 988090617d12 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_payment_clearing/rev/988090617d12
New changeset 18781059473a by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_payment/rev/18781059473a
New changeset d3e94c2a2c09 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_invoice_stock/rev/d3e94c2a2c09
New changeset 44b70c385426 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_invoice_line_standalone/rev/44b70c385426
New changeset 9eb5108c7b7c by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_invoice_history/rev/9eb5108c7b7c
New changeset 19505459732b by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_invoice/rev/19505459732b
New changeset 974aed945b48 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_fr/rev/974aed945b48
New changeset 5d22120747d7 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_dunning_letter/rev/5d22120747d7
New changeset 499dca895996 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_dunning/rev/499dca895996
New changeset 820795e42c93 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_deposit/rev/820795e42c93
New changeset 248fa91065c9 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_de_skr03/rev/248fa91065c9
New changeset 02b49b0172eb by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_credit_limit/rev/02b49b0172eb
New changeset 8f007622a923 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_be/rev/8f007622a923
New changeset 069c6478aee8 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account_asset/rev/069c6478aee8
New changeset aed15ad11027 by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/modules/account/rev/aed15ad11027
New changeset aadeda7410fc by C?dric Krier in branch 'default':
Use converted tests converted by 2to3
http://hg.tryton.org/cookiecutter/rev/aadeda7410fc
New changeset ed42d970ccec by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/carrier_weight/rev/ed42d970ccec
msg24781 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-11.19:21:36
Here is the cookiecutter review24921002 for msg24779
I am going modify all existing migrated modules with a script.
New changeset 3f7a5eebb9e9 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_promotion/rev/3f7a5eebb9e9
msg24779 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-11.19:09:21
Here is review20031002 for carrier_weight
Of course at the last module, I discover that we always run the test from the base (not converted by 2to3) because test_suite is 'tests' and so the module is imported from the code base (and setuptools doesn't care about 'package_dir').
So in review20031002, I came with a weird fix in tests/__init__.py that tries first to import the test file from absolute path and fallback to relative path. This is needed because in Python2 the test command doesn't run build_py and use the source in-place (so no absolute import).
This is a quite hacky but indeed the all setuptools are quite hacky also.

So if we agree on this solution, we will have to apply the same change to all already migrated modules.
msg24778 (view) Author: [hidden] (JonLevy) Date: 2016-03-11.19:05:17
sale_promotion ready at review17131003
msg24774 (view) Author: [hidden] (JonLevy) Date: 2016-03-11.15:19:52
start work on sale_promotion
msg24772 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-11.10:42:27
Start working on carrier_weight
New changeset 3f1fc5f0c351 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/carrier_percentage/rev/3f1fc5f0c351
New changeset 73f0c4f17b30 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/purchase_shipment_cost/rev/73f0c4f17b30
msg24759 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-10.23:03:09
Start working on purchase_shipment_cost
New changeset d2a789f69bdb by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_extra/rev/d2a789f69bdb
msg24754 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-10.22:29:52
Start working on carrier_percentage
New changeset 18fd40e72622 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_stock_quantity/rev/18fd40e72622
New changeset 6f2cbb7da08c by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_credit_limit/rev/6f2cbb7da08c
New changeset eeec7bd04c48 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_supply_forecast/rev/eeec7bd04c48
New changeset cf5f67b814f3 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/analytic_sale/rev/cf5f67b814f3
msg24748 (view) Author: [hidden] (JonLevy) Date: 2016-03-10.22:16:18
sale_extra ready at review21811002
msg24747 (view) Author: [hidden] (JonLevy) Date: 2016-03-10.22:14:32
sale_credit_limit ready at review16061002
msg24746 (view) Author: [hidden] (JonLevy) Date: 2016-03-10.22:12:42
stock_supply_forecast ready at review20021002
msg24745 (view) Author: [hidden] (JonLevy) Date: 2016-03-10.22:10:53
analytic_sale ready at review23981002
msg24744 (view) Author: [hidden] (JonLevy) Date: 2016-03-10.22:09:03
sale_stock_quantity ready at review22861002
New changeset 6abf48cf477f by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_stock_anglo_saxon/rev/6abf48cf477f
msg24734 (view) Author: [hidden] (JonLevy) Date: 2016-03-10.15:11:29
Start work on sale_stock_quantity, analytic_sale, stock_supply_forecast, sale_credit_limit, sale_extra
msg24733 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-10.15:09:31
Start working on account_stock_anglo_saxon
New changeset ff754f215d46 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_stock_continental/rev/ff754f215d46
New changeset 9c65870ea55d by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_supply_drop_shipment/rev/9c65870ea55d
New changeset c373db9311cb by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_complaint/rev/c373db9311cb
New changeset 574a2e388f0e by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_shipment_cost/rev/574a2e388f0e
New changeset 4abe779e2a60 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_opportunity/rev/4abe779e2a60
msg24715 (view) Author: [hidden] (JonLevy) Date: 2016-03-09.22:36:03
sale_shipment_cost ready at review19081003
msg24714 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-09.22:18:46
Start working on sale_supply_drop_shipment
New changeset 9efa0ef3d24c by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_supply/rev/9efa0ef3d24c
New changeset baed1522e8ce by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_invoice_grouping/rev/baed1522e8ce
msg24711 (view) Author: [hidden] (JonLevy) Date: 2016-03-09.22:02:22
sale_opportunity ready at review17921002
New changeset fcecee8264b1 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_supply_production/rev/fcecee8264b1
msg24709 (view) Author: [hidden] (JonLevy) Date: 2016-03-09.21:46:23
sale_supply ready at review22851002
msg24708 (view) Author: [hidden] (JonLevy) Date: 2016-03-09.21:42:48
sale_invoice_grouping ready at review17911003
msg24707 (view) Author: [hidden] (JonLevy) Date: 2016-03-09.21:40:04
stock_supply_production ready at review17911002
New changeset 2a2e6161e47d by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_price_list/rev/2a2e6161e47d
New changeset 1c61b1512f47 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_stock_landed_cost_weight/rev/1c61b1512f47
New changeset 7f3855d7c04a by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/purchase_invoice_line_standalone/rev/7f3855d7c04a
New changeset dfeda8df0e2a by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale_shipment_grouping/rev/dfeda8df0e2a
msg24700 (view) Author: [hidden] (JonLevy) Date: 2016-03-09.17:33:33
start work on stock_supply_production, sale_invoice_grouping, sale_supply, sale_opportunity, and sale_shipment_cost
msg24680 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-09.12:26:01
@resteve what is the point to duplicate msg24135
msg24679 (view) Author: [hidden] (resteve) Date: 2016-03-09.12:17:28
cookiecutter ready at review17121003
msg24662 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.23:29:02
sale_complaint ready at review23971002
msg24661 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.23:08:11
sale_price_list ready at review24891002
msg24657 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.22:29:51
account_stock_landed_cost_weight ready at review19071002
New changeset dd180a5e017d by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/analytic_purchase/rev/dd180a5e017d
msg24655 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.22:25:50
purchase_invoice_line ready at review19061003
msg24654 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.22:22:37
sale_shipment_grouping ready at review20001002
msg24651 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.20:18:46
Starting work on: sale_complaint, sale_shipment_grouping, purchase_invoice_line_standalone, account_stock_landed_cost_weight, and sale_price_list
New changeset 959ebbc0138c by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_payment_clearing/rev/959ebbc0138c
New changeset e1bc7868c641 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_supply_day/rev/e1bc7868c641
New changeset ad928560e478 by Nicolas ?vrard in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/sale/rev/ad928560e478
New changeset 3b9a772bed52 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/project_invoice/rev/3b9a772bed52
New changeset d9c35a45335b by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_supply/rev/d9c35a45335b
msg24628 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.01:46:28
analytic_purchase ready at review16041002
msg24627 (view) Author: [hidden] (JonLevy) Date: 2016-03-08.00:17:02
account_payment_clearing ready at review19051002
msg24626 (view) Author: [hidden] (JonLevy) Date: 2016-03-07.23:57:00
stock_supply_days ready at review20841002
msg24625 (view) Author: [hidden] (JonLevy) Date: 2016-03-07.23:53:43
project_invoice ready at review23961002
msg24624 (view) Author: [hidden] (JonLevy) Date: 2016-03-07.23:50:41
stock_supply ready at review23951002
msg24623 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2016-03-07.23:44:07
I'll work on sale
msg24621 (view) Author: [hidden] (JonLevy) Date: 2016-03-07.20:54:38
Start work on stock_supply, project_invoice, analytic_purchase, stock_supply_day, and account_payment_clearing
New changeset f11cdbff3b1c by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/project_plan/rev/f11cdbff3b1c
msg24618 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-07.19:37:16
Start to work on project_plan
New changeset 7277e71b1e09 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_fr/rev/7277e71b1e09
msg24608 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-07.14:22:46
Start working on account_fr
New changeset 36e27c458be7 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_payment_sepa_cfonb/rev/36e27c458be7
msg24597 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-06.22:53:39
Start working on account_payment_sepa_cfonb
New changeset 18112eb9debb by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_payment_sepa/rev/18112eb9debb
New changeset 497a2f5bc509 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_stock_landed_cost/rev/497a2f5bc509
New changeset ce54d1023f8c by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_statement/rev/ce54d1023f8c
New changeset 9120721b812c by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/commission_waiting/rev/9120721b812c
New changeset 3158b189cae4 by Nicolas ?vrard in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/purchase/rev/3158b189cae4
msg24561 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-03.23:18:33
Here is review21791002 for account_payment_sepa
I added a monkey patching of genshi astutil to support NameConstant, it is not very clean but it works for now.
It also contains the pattern for mock tests_require.
Thanks for feedback.
msg24560 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-03.22:38:18
I got this Genshi bug [1] for account_payment_sepa module.
The scary things is there have been no Genshi release since 2 years.

[1] https://genshi.edgewall.org/ticket/582
msg24515 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-03.21:00:58
I found my first module that requires mock for testing.
Indeed mock is available in standard lib under unittest.mock, so I propose this to avoid adding useless dependencies on Python >3.3

in setup.py:

tests_require = []
try:
    import unittest.mock
except ImportError:
    tests_require.append('mock')

and in test:

try:
    from unittest.mock import Mock, patch
except ImportError:
    from mock import Mock, patch
msg24514 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-03.19:56:36
Start working on account_payment_sepa
New changeset 536b61a8026c by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_lot_sled/rev/536b61a8026c
msg24507 (view) Author: [hidden] (nicoe) (Tryton committer) (Tryton translator) Date: 2016-03-02.23:40:09
I am working on purchase
New changeset 2ec79117f238 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_invoice_stock/rev/2ec79117f238
New changeset 134cf47760bf by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/project_revenue/rev/134cf47760bf
New changeset 9d9de75eab84 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_forecast/rev/9d9de75eab84
msg24485 (view) Author: [hidden] (JonLevy) Date: 2016-03-01.20:48:31
commission_waiting ready at review21761002
msg24484 (view) Author: [hidden] (JonLevy) Date: 2016-03-01.20:26:22
account_invoice_stock ready at review23891003
msg24474 (view) Author: [hidden] (JonLevy) Date: 2016-03-01.17:04:32
account_stock_landed_cost ready at review16031002
msg24473 (view) Author: [hidden] (JonLevy) Date: 2016-03-01.16:37:21
account_statement ready at review21751003
msg24472 (view) Author: [hidden] (JonLevy) Date: 2016-03-01.16:21:06
project_revenue ready at review23891002
msg24466 (view) Author: [hidden] (JonLevy) Date: 2016-03-01.15:35:25
start work on: project_revenue, account_statement, account_stock_landed_cost, account_invoice_stock and commission_waiting
New changeset 7befc093a032 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_deposit/rev/7befc093a032
New changeset 9b21a9f89820 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_invoice_line_standalone/rev/9b21a9f89820
New changeset 8cb59ee66813 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/analytic_invoice/rev/8cb59ee66813
New changeset ff0b04bc09f0 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_asset/rev/ff0b04bc09f0
msg24444 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.21:12:43
stock_lot_sled requires resolution of issue5358--which I just created and assigned to myself because I didn't know who else to assign it to.

@ced, I would be interested in guidance on this one.
msg24442 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-29.19:59:47
I have to defer account_stock_continental because tests depends on sale, purchase and sale_supply_drop_shipment
New changeset 8179ce013c55 by Jonathan Levy in branch 'default':
add Python3 support
http://hg.tryton.org/modules/account_invoice_history/rev/8179ce013c55
New changeset 93e27bcddb02 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/project/rev/93e27bcddb02
New changeset e186ad74fbe9 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/commission/rev/e186ad74fbe9
msg24436 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.19:50:15
account_invoice_line_standalone ready at review23881002
msg24435 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.19:47:56
analytic_invoice ready at review24871002
msg24434 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.19:44:43
account_deposit ready at review19031002
msg24433 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:43:28
account_asset ready at review21741002
msg24432 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:33:08
start work on account_invoice_line_standalone
msg24431 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:30:19
start work on analytic_invoice
msg24430 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:28:24
start work on account_deposit
msg24429 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:28:04
start work on stock_lot_sled
msg24428 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:25:14
account_invoice_history ready at review23871002
msg24427 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:22:49
project ready at review24861002
msg24426 (view) Author: [hidden] (JonLevy) Date: 2016-02-29.16:19:35
commission ready at review20811002
msg24422 (view) Author: [hidden] (JonLevy) Date: 2016-02-28.22:58:49
start working on account_payment_sepa
msg24421 (view) Author: [hidden] (JonLevy) Date: 2016-02-28.22:57:21
start working on account_asset
msg24420 (view) Author: [hidden] (JonLevy) Date: 2016-02-28.22:56:57
start working on account_invoice_history
msg24419 (view) Author: [hidden] (JonLevy) Date: 2016-02-28.22:56:44
start working on project
msg24418 (view) Author: [hidden] (JonLevy) Date: 2016-02-28.22:56:30
start working on commission
msg24417 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-28.22:44:57
Start working on account_stock_continental
New changeset 533151470223 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_invoice/rev/533151470223
msg24412 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-28.16:54:24
start working on account_invoice
New changeset 4839522e0d4a by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_location_sequence/rev/4839522e0d4a
msg24410 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-28.15:51:39
start working on stock_location_sequence
New changeset b0f1408c0303 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_inventory_location/rev/b0f1408c0303
msg24407 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-28.15:14:38
Start working on stock_inventory_location
New changeset 9b0cbfd3d826 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_product_location/rev/9b0cbfd3d826
msg24405 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-28.13:13:15
start working on stock_product_location
New changeset dcf5a6917e8b by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_package/rev/dcf5a6917e8b
msg24402 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-27.23:57:35
start working on stock_package
New changeset 605c924233ee by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/production/rev/605c924233ee
New changeset bc12a25710cf by C?dric Krier in branch 'default':
Replace iteritems by items in letter
http://hg.tryton.org/modules/account_dunning_letter/rev/bc12a25710cf
msg24398 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-27.17:42:19
@dabada83 please test your patch on py27 and at lease one py3* before submitting them otherwise it is not helpful as I will have the exact same amount of work to do as if I did all myself.
https://drone.tryton.org/trypod.tryton.org/tryton/modules.account_dunning_letter/default/682d65af701e5ba8419fad2fdb79860d9e869aad
Thanks.
New changeset 682d65af701e by Diego Abad in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_dunning_letter/rev/682d65af701e
msg24396 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-27.15:36:12
production requires issue5355
New changeset 6019a03850b6 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/product_cost_fifo/rev/6019a03850b6
New changeset e4018630fa3a by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_split/rev/e4018630fa3a
msg24391 (view) Author: [hidden] (perilla) Date: 2016-02-27.12:58:46
account_dunning_letter ready at review19951002
msg24390 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-27.00:43:28
start working on production
New changeset 8513232c6649 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock_lot/rev/8513232c6649
New changeset a4807c0a06de by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/timesheet_cost/rev/a4807c0a06de
New changeset 6a17fee22aef by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_product/rev/6a17fee22aef
New changeset 816964e2b835 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/analytic_account/rev/816964e2b835
New changeset 2517f1df1872 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_payment/rev/2517f1df1872
New changeset 241dda5ca93a by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_dunning/rev/241dda5ca93a
msg24383 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.19:43:54
stock_forecast ready at review24851003
msg24382 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.19:17:49
product_cost_fifo ready at review17861002
msg24378 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.17:26:18
stock_lot ready at review17851002
msg24377 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.15:29:35
timesheet_cost ready at review24831003
msg24376 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.15:10:20
stock_split ready at review19941002
msg24371 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.02:39:48
account_dunning ready at review24841002
msg24369 (view) Author: [hidden] (JonLevy) Date: 2016-02-26.02:10:39
account_payment ready at review24831002
New changeset 0b0b4e44149a by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_tax_rule_country/rev/0b0b4e44149a
New changeset 5b1dadd8ccfd by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/stock/rev/5b1dadd8ccfd
msg24366 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.23:39:44
I have attached a rough tool to list modules that are ready to be ported (ie, their dependencies are already ported).  It takes a comma-separated list of what is already ported.

As of now, here is the ported list (best I can tell): ir,res,cookiecutter,dashboard,currency,product,country,product_cost_history,product_attribute,party,product_measurements,customs,bank,party_relationship,carrier,company,party_siret,google_maps,company_work_time,product_price_list,account,timesheet,account_be,account_credit_limit,account_de_skr03
msg24365 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.23:10:36
account_tax_rule_country ready at review20771002
New changeset 9c029675ee77 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_de_skr03/rev/9c029675ee77
New changeset a66e594b724c by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_credit_limit/rev/a66e594b724c
New changeset 7f14c604694f by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/account_be/rev/7f14c604694f
msg24361 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.23:04:17
analytic_account ready at review19021003
New changeset 1eca22830b84 by Jonathan Levy in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/timesheet/rev/1eca22830b84
msg24359 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.22:57:24
@JonLevy you can use the syntax review1234 instead of full link.
msg24358 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.22:55:10
On 2016-02-25 21:16, Jonathan Levy wrote:
> > On Feb 25, 2016, at 12:15 PM, Cédric Krier <issue_tracker@tryton.org> wrote:
> > 
> > On 2016-02-25 17:46, Jonathan Levy wrote:
> >> stock completion awaiting approval of review19911002 (handling 'u' prefix in doctests)
> > 
> > It is pushed.
> 
> I am still getting the 'u' prefix error.  (Just got it in account_payment and account_dunning.)  Do you know why that might be?

If it is on pure string comparison then you did not correctly register
the doctest_checker
msg24357 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.22:26:23
account_product ready at https://tryton-rietveld.appspot.com/20761002/
msg24356 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.22:02:10
account_de_skr03 ready at https://tryton-rietveld.appspot.com/24821003/
msg24355 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.21:42:19
account_credit_limit ready at https://tryton-rietveld.appspot.com/21721002/
msg24353 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.21:32:07
account_be ready at https://tryton-rietveld.appspot.com/20751002/
msg24352 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.21:16:02
@ced
> On Feb 25, 2016, at 12:15 PM, Cédric Krier <issue_tracker@tryton.org> wrote:
> 
> On 2016-02-25 17:46, Jonathan Levy wrote:
>> stock completion awaiting approval of review19911002 (handling 'u' prefix in doctests)
> 
> It is pushed.

I am still getting the 'u' prefix error.  (Just got it in account_payment and account_dunning.)  Do you know why that might be?
msg24350 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.21:00:25
On 2016-02-25 20:14, Jonathan Levy wrote:
> @ced, (A) Thank you for the code review notes. I will incorporate them in the future, and am happy to change 19021002, except I don't know how. (B) Correct me if I am wrong in understanding that there is nothing more for me to do on 19021002, as I am not a committer. 

You can edit your review by clicking on "Edit Issue".

> (C) If you are interested, I can provide a script that takes a list of ported modules and returns a list of others that are ripe for porting.  This will avoid the difficulty in distributing the work which arises from being limited to the strict module_list.py order.  Please let me know.

Why not, you can attach it on this issue and send a reply on tryton-dev@
msg24347 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.20:20:01
Starting work on account_payment
msg24346 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.20:14:38
@ced, (A) Thank you for the code review notes. I will incorporate them in the future, and am happy to change 19021002, except I don't know how. (B) Correct me if I am wrong in understanding that there is nothing more for me to do on 19021002, as I am not a committer.  (C) If you are interested, I can provide a script that takes a list of ported modules and returns a list of others that are ripe for porting.  This will avoid the difficulty in distributing the work which arises from being limited to the strict module_list.py order.  Please let me know.
msg24341 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.19:05:07
On 2016-02-25 18:58, Jonathan Levy wrote:
> Port of timesheet ready, but looks like I uploaded the code review incorrectly (followed instructions at https://www.tryton.org/how-to-contribute.html).  Resulting review is https://tryton-rietveld.appspot.com/19021002/ (which is at a different location than others below).  Any feedback/advice is welcome.

No it is OK. codereview.tryton.org is an alias to
tryton-rietveld.appspot.com until we get migrated out of Google hosting.
msg24339 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.18:58:14
Port of timesheet ready, but looks like I uploaded the code review incorrectly (followed instructions at https://www.tryton.org/how-to-contribute.html).  Resulting review is https://tryton-rietveld.appspot.com/19021002/ (which is at a different location than others below).  Any feedback/advice is welcome.
msg24338 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.18:56:28
I take the stock.
msg24333 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.18:15:10
On 2016-02-25 17:46, Jonathan Levy wrote:
> stock completion awaiting approval of review19911002 (handling 'u' prefix in doctests)

It is pushed.
msg24330 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.17:47:57
Starting work on timesheet.
msg24329 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.17:46:07
stock completion awaiting approval of review19911002 (handling 'u' prefix in doctests)
msg24326 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.15:39:31
Starting work on stock.
msg24325 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.15:30:13
On 2016-02-25 15:09, Jonathan Levy wrote:
> @ced thanks for the note, but aren't other ordering possible?  module_list.py shows account next, which I understand from msg24312 is blocked by an outstanding issue.  However, both timesheet and stock seem to have all of their requirements already ported.  I would like to give a try to porting stock.  Please let me know if you feel I need to wait until account becomes unblocked.

account is fixed, you can go with the next one.
msg24324 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.15:09:16
@ced thanks for the note, but aren't other ordering possible?  module_list.py shows account next, which I understand from msg24312 is blocked by an outstanding issue.  However, both timesheet and stock seem to have all of their requirements already ported.  I would like to give a try to porting stock.  Please let me know if you feel I need to wait until account becomes unblocked.
msg24321 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-25.10:04:58
@JonLevy you must follow the order of module_list.py
msg24320 (view) Author: [hidden] (JonLevy) Date: 2016-02-25.01:28:41
Suspending work on carrier_weight due to un-ported tests_require modules.
New changeset d1e26ba2917b by C?dric Krier in branch 'default':
Add doctest checker for Python 2-3
http://hg.tryton.org/modules/account/rev/d1e26ba2917b
New changeset e6b51c70065b by C?dric Krier in branch 'default':
Add doctest checker for Python 2-3
http://hg.tryton.org/trytond/rev/e6b51c70065b
msg24313 (view) Author: [hidden] (JonLevy) Date: 2016-02-24.00:57:11
Start work on carrier_weight
msg24312 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-23.23:40:11
doctest doesn't completely work because of the 'u' prefix on Python 2 that is not converted by 2to3. Here is review19911002 that implement a special checker for this case.
msg24310 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-23.21:43:30
account is blocked by issue5347
msg24308 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-23.19:33:31
Start working on account
New changeset 6589c35df702 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/product_price_list/rev/6589c35df702
msg24293 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-22.20:30:34
Start working on product_price_list
New changeset 6ac50e5c605e by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/company_work_time/rev/6ac50e5c605e
msg24286 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-21.20:32:55
Start working on company_work_time
New changeset bebe6fd8d091 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/google_maps/rev/bebe6fd8d091
msg24282 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-20.12:58:17
Start working on google_maps
New changeset 2032077614b8 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/party_siret/rev/2032077614b8
msg24278 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-20.10:58:24
Start working on party_siret
New changeset cfb9b2d75222 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/company/rev/cfb9b2d75222
msg24276 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-20.09:47:24
Start working on company
New changeset 364688bf5296 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/carrier/rev/364688bf5296
New changeset 16edc2759be4 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/party_relationship/rev/16edc2759be4
New changeset 525c2adbd95d by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/bank/rev/525c2adbd95d
New changeset 10474340bd0a by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/customs/rev/10474340bd0a
New changeset 1f4d0f408693 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/product_measurements/rev/1f4d0f408693
New changeset 153863383394 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/proteus/rev/153863383394
msg24245 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-19.00:08:10
Here is review23841002 for carrier
msg24241 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-18.00:52:50
Here is review22821002 for party_relationship
msg24240 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-18.00:29:28
Here is review22811002 for bank
msg24234 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-17.01:45:00
Here is review20731002 for customs
msg24222 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-16.01:06:26
Here is review23821002 for product_measurements
msg24206 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-14.21:58:00
The proteus review24761002 is now ready for testing.
New changeset 9107c3214859 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/party/rev/9107c3214859
New changeset b5b447a87c68 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/product_attribute/rev/b5b447a87c68
New changeset d778584d89e9 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/product_cost_history/rev/d778584d89e9
msg24196 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-12.00:19:25
Here is review23811002 for party
msg24195 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-11.23:55:04
Here is review23801002 for product_attribute
msg24194 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-11.23:21:47
Here is review19881002 for product_cost_history
New changeset 711671dcf460 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/product/rev/711671dcf460
New changeset 749951e55814 by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/currency/rev/749951e55814
New changeset 097c1369061d by C?dric Krier in branch 'default':
Add Python3 support
http://hg.tryton.org/modules/dashboard/rev/097c1369061d
msg24190 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-11.22:56:21
Here is a generic patch that should be the basis for any module.
New changeset d9ea61c1dc67 by C?dric Krier in branch 'default':
Add support for Python3
http://hg.tryton.org/modules/country/rev/d9ea61c1dc67
msg24174 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-10.17:08:39
Here is review19011002 for product
msg24172 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-10.15:49:11
Here is review17831002 for currency
msg24168 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-10.15:09:47
Here is review22781002 for dashboard
msg24135 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-07.20:02:52
Here is review19001002 for cookiecutter.
msg24134 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-07.19:56:41
Here is review24771002 for country. It requires issue5313 and issue5314.
msg24130 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-07.19:35:30
issue5313 need to be fixed to be able to load country.xml
msg24129 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-02-07.18:43:51
Here is review24761002 for proteus but the tests can not be run yet because it depends on party module.
New changeset 83b07c8b2c2d by C?dric Krier in branch 'default':
Add support for Python 3
http://hg.tryton.org/trytond/rev/83b07c8b2c2d
msg23847 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-01-19.23:36:13
As far as I see, there is nothing to change to get proteus working.
msg23845 (view) Author: [hidden] (oscar) (Tryton translator) Date: 2016-01-19.22:30:14
This fork of proteus official version 3.6, is ready for python3:

https://bitbucket.org/presik/presik_pos_client_qt5/src/2f33fc3a556a0ae79546b499a56ecb1f78e71f92/app/proteus/?at=default

Maybe help you a little :)
msg23816 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-01-17.00:39:18
issue5263 is needed to get tox running for many Python version with postgresql as backend because otherwise the database is not drop between two Python version and it fails.
msg23812 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-01-16.21:55:38
The server is now ready for testing.
The plan is to commit this server change as soon as possible and after start to migrate/test modules (in dependency order) using on issue per module.
msg23811 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-01-16.20:59:50
All clear new for Python3 \o/
msg20870 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-03-19.23:23:37
New config API: issue4662
New changeset d3f8a8604c9f by C?dric Krier in branch 'default':
Fix encoding/decoding in adapter/converter of sqlite for Python3
http://hg.tryton.org/trytond/rev/d3f8a8604c9f
New changeset f714448462e2 by C?dric Krier in branch 'default':
Add missing import of types in tools/misc.py
http://hg.tryton.org/trytond/rev/f714448462e2
New changeset c28b7ffeb63c by C?dric Krier in branch 'default':
Add is_instance_method tool compatible with Python3
http://hg.tryton.org/trytond/rev/c28b7ffeb63c
New changeset 46662422bf79 by C?dric Krier in branch 'default':
Use lower name for email module
http://hg.tryton.org/trytond/rev/46662422bf79
msg20789 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-03-17.13:43:18
Indeed it is issue4648 that could fix the pywebdav blocking.
msg20783 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-03-17.12:08:38
pywebdav is now the blocking part: issue4646
msg20610 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-03-11.00:50:53
str/buffer/bytes is managed by issue4637
msg20491 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-03-06.09:36:14
safe_eval will be removed by issue4416 which was a blocking point to support Python 3
msg18752 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-10-30.00:22:22
unicode_literals support in issue4294
msg18676 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-10-24.09:37:37
The binary management in protocols should be changed because there are no more str, buffer.
Indeed I think we should manage all str as binary and so encode it in base64.
And we must expect to get always unicode for all strings and probably use unicode_literals.
msg16976 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-05-29.00:42:06
Patch for trytond: review7311002
msg15453 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-04.01:07:44
- relatorio done
- vatnumber done
msg13449 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-05-31.23:50:22
The first step is to support both 2 and 3 using 2to3.
Most of the dependencies are already available on 2 and 3 with the exception of:

- relatorio (WIP: https://codereview.appspot.com/9900043/)
- PyWebDAV
- pydot (WIP: https://bitbucket.org/prologic/pydot)
- python-Levenshtein
- vatnumber (WIP:
https://code.google.com/p/vatnumber/source/detail?r=486aaa20e14ee3dc11b8f4d724590e157ac38526)


All are optional (except relatorio which will be fixed soon).
So the work to use_2to3 on trytond, tryton, proteus, neso and modules could start.
And also the work to help upstream to support Python 3.
msg13363 (view) Author: [hidden] (yangoon) Date: 2013-05-09.14:16:14
Is a roadmap available for the migration of Tryton to python3?

In Debian post-wheezy the flags are set for moving to python 3.3.
LibreOffice >= 4.0.0 will need it, python-uno as dependency of unoconv is
announced to support python2 only for few upstream releases. 

Are the final plans to go for parallel versions or to move to python3 at once
[2][3]?

Thanks for your feedback

[1] bugs.debian.org/cgi-bin/bugreport.cgi?bug=707343 
[2] https://groups.google.com/forum/?fromgroups=#!topic/tryton-dev/8R4fW5Xq-3Q
[3] http://comments.gmane.org/gmane.comp.python.tryton.announce/52
History
Date User Action Args
2018-05-07 16:42:09cedsetstatus: deferred -> in-progress
messages: + msg40543
2017-11-22 08:45:00cedlinkissue6959 superseder
2017-06-09 15:04:09cedsetstatus: resolved -> deferred
messages: + msg33993
2017-06-09 12:14:31pokolisetstatus: deferred -> resolved
messages: + msg33986
2016-07-31 23:48:35cedsetmessages: + msg27467
2016-07-31 23:41:22encukousetnosy: + encukou
messages: + msg27466
2016-06-03 19:29:03nicoesetstatus: resolved -> deferred
messages: + msg26104
2016-06-03 19:27:03roundup-botsetstatus: testing -> resolved
messages: + msg26103
2016-06-03 17:30:40reviewbotsetreviews: 19951002, 7311002, 24761002, 24771002, 19001002, 22781002, 17831002, 19011002, 19881002, 23801002, 23811002, 23821002, 20731002, 22811002, 22821002, 23841002, 19911002, 20751002, 19021002, 21721002, 20761002, 24821003, 20771002, 19021003, 24831002, 24841002, 24831003, 19941002, 17851002, 17861002, 24851003, 19961002, 23871002, 24861002, 20811002, 21741002, 19031002, 23881002, 24871002, 23891002, 21751003, 16031002, 23891003, 21761002, 21791002, 20841002, 23961002, 23951002, 19051002, 16041002, 19071002, 19061003, 20001002, 23971002, 24891002, 17121003, 22851002, 17911003, 17911002, 17921002, 19081003, 23981002, 21811002, 16061002, 20021002, 22861002, 20031002, 24921002, 17131003 -> 19951002, 7311002, 24761002, 24771002, 19001002, 22781002, 17831002, 19011002, 19881002, 23801002, 23811002, 23821002, 20731002, 22811002, 22821002, 23841002, 19911002, 20751002, 19021002, 21721002, 20761002, 24821003, 20771002, 19021003, 24831002, 24841002, 24831003, 19941002, 17851002, 17861002, 24851003, 19961002, 23871002, 24861002, 20811002, 21741002, 19031002, 23881002, 24871002, 23891002, 21751003, 16031002, 23891003, 21761002, 21791002, 20841002, 23961002, 23951002, 19051002, 16041002, 19071002, 19061003, 20001002, 23971002, 24891002, 17121003, 22851002, 17911003, 17911002, 17921002, 19081003, 23981002, 21811002, 16061002, 20021002, 22861002, 20031002, 24921002, 17131003, 25151002
2016-06-03 17:16:02nicoesetstatus: deferred -> testing
messages: + msg26100

Showing 10 items. Show all history (warning: this could be VERY long)